<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:c="http://java.sun.com/jstl/core">
    <s:decorate template="/layout/panels/_panel_title_footer_id.xhtml"
                rendered="#{ruleEditorManager.editMode}">
        <ui:param name="panel_id" value="workingBoard"/>
        <ui:define name="panel_title">#{messages['net.ihe.gazelle.xval.WorkingBoard']}
        </ui:define>
        <div class="row">
            <c:forEach items="#{ruleEditorManager.board}" var="entry">
                <s:div id="include_#{entry.fakeId}" styleClass="col-md-12">
                    <ui:include src="#{entry.getEditLink()}">
                        <ui:param name="expression" value="#{entry}"/>
                    </ui:include>
                </s:div>
            </c:forEach>
        </div>
        <ui:define name="panel_footer">
            <div class="row">
                <div class="col-md-6">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}"
                                       actionListener="#{ruleEditorManager.cancelExpressionEdition()}"
                                       byPassUpdates="true" immediate="true"
                                       render="globalDiv" styleClass="gzl-btn-orange"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Clear']}"
                                       actionListener="#{ruleEditorManager.clearBoard()}"
                                       render="workingBoard" styleClass="gzl-btn-red"/>
                    <div class="btn-group">
                        <button type="button" class="btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                                aria-haspopup="true" aria-expanded="false">#{messages['net.ihe.gazelle.xval.CreateExpression']}
                            <span class="caret"/>
                        </button>
                        <ui:include src="/xvalidation/expressions/_listExpressionButtons.xhtml">
                            <ui:param name="targetId" value="0"/>
                        </ui:include>
                    </div>
                </div>
                <div class="col-md-6">
                    <h:selectOneMenu value="#{ruleEditorManager.ruleToCopy}"
                                     styleClass="form-control gzl-select-text">
                        <s:selectItems value="#{ruleEditorManager.listExistingRules()}"
                                       var="ruleFromList"
                                       label="#{ruleFromList.keyword}"
                                       noSelectionLabel="#{messages['net.ihe.gazelle.xval.PleaseSelect']}"/>
                    </h:selectOneMenu>
                </div>
                <div class="col-md-2">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.CopyRule']}"
                                       actionListener="#{ruleEditorManager.createCopy()}"
                                       styleClass="gzl-btn-green"
                                       render="workingBoard"/>
                </div>
            </div>
        </ui:define>
    </s:decorate>
</ui:composition>